Summary: Kaim is an AOL instant messenger
Name: kaim
Version: 0.62
Release: 2
Copyright: GPL
Group: Applications/Internet
Source: http://download.sourceforge.net/kaim/%{name}-%{version}.tar.gz
Source1: kaim.desktop
Source2: fixed-icons.tar.gz
URL: http://www.csh.rit.edu/~benjamin/benjamin/works/kaim/
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: qt-devel >= 2.2.0
Requires: qt >= 2.2.0

%description
Kaim is an AOL instant messenger. Although Kaim's name goes with the
KDE scheme it currently uses the QT 2.x libraries and thus does not
require KDE.  Future versions may incorporate KDE back into the
application.


%prep
%setup -q

%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

pushd kaim
tar xvfz %{SOURCE2}
popd
cp /usr/share/libtool/config.* .
CFLAGS="$RPM_OPT_FLAFS" ./configure --prefix=%{prefix}
make 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Internet
make install-strip DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config (missingok) %attr(0644,root,root) /etc/X11/applnk/Internet/kaim.desktop
%{prefix}/bin/kaim
%{prefix}/share/kaim
%doc AUTHORS COPYING ChangeLog INSTALL NEWS PROTOCOL README TODO kaim.lsm

%changelog
* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt for libmng soname changes

* Fri Feb 23 2001 Tim Powers <timp@redhat.com>
- updated to 0.62

* Thu Jan 18 2001 Than Ngo <than@redhat.com>
- updated to 0.60

* Fri Jan 12 2001 Than Ngo <than@redhat.com>
- fixed to build on ia64

* Tue Dec 19 2000 Than Ngo <than@redhat.com>
- update to 0.51

* Mon Dec  4 2000 Tim Powers <timp@redhat.com>
- update to 0.50
- make this package own %{prefix}/share/kaim
- fixed bad icons, they were showing up as bright blue

* Mon Nov 20 2000 Than Ngo <than@redhat.com>
- added missing kaim.desktop

* Sun Nov 19 2000 Than Ngo <than@redhat.com>
- initial build for powertools-7.1
